package pw.yumc.Residence.gui;

import java.util.HashMap;

import org.bukkit.inventory.ItemStack;

public class FlagData {
    private final HashMap<String, ItemStack> items = new HashMap<>();

    public void addFlagButton(final String flag, final ItemStack item) {
        this.items.put(flag, item);
    }

    public boolean contains(final String flag) {
        return this.items.containsKey(flag);
    }

    public ItemStack getItem(final String flag) {
        return this.items.get(flag);
    }

    public void removeFlagButton(final String flag, final ItemStack item) {
        this.items.remove(flag);
    }
}
